<template>
  <div style="height: 100%">
    <div style="height: calc(100% - 0rem)" ref="selpumplist" class="selpumplist_fmul" v-loading="state.isShowLoadingFrm"
      element-loading-background="rgba(255,255,255, 0.8)">
      <div class="nav_header_box">
        <div class="nav_header">
          <div style="cursor: pointer" class="nav_header_a" @click="toHomePage">{{ t("selectPage.index.TR") }}</div>
        </div>
        <div class="nav_header_right">
          <!-- <el-dropdown v-if="false" :hide-on-click="false" trigger="click" :max-height="300">
            <el-button class="btn_color">
              {{ t("selectPage.selRow.TR") }}<i class="el-icon-arrow-down el-icon--right"></i>
            </el-button>
            <template #dropdown>
              <el-dropdown-menu class="pumplist_dropdown_menu">
                <el-dropdown-item><el-checkbox-group v-model="state.m_dispColumnNameList">
                    <el-checkbox v-for="item in m_columnOptions" :value="item.value" :key="item.value"
                      :checked="item.visible" 
                      :disabled="item.disable">{{ item.label }}</el-checkbox> </el-checkbox-group></el-dropdown-item>
              </el-dropdown-menu>
            </template>
</el-dropdown> -->
          <!-- 导出按钮 -->
          <el-button class="btn_color">{{ t('selectPage.export.TR') }}</el-button>
          <!-- 打印按钮 -->
          <el-button class="btn_color">{{ t('selectPage.print.TR') }}</el-button>
          <!-- 上一步按钮 -->
          <span class="btn_span" @click="prevPage">{{ t('selectPage.previous.TR') }}</span>
        </div>
      </div>
      <div class="tableBox">
        <el-table :data="state.tableData" border stripei :max-height="state.tableMaxHeight" style="width: 100%"
          :empty-text="state.tableEmptyContent" :header-cell-style="{ background: '#b0d8dd', color: '#606266' }">
          <!-- 表格头--实物图-->
          <el-table-column fixed align="center" header-align="center" width="200" :label="t('selectPage.physical.TR')">
            <template #default="scope">
              <div>
                <img :src="scope.row.ThumbnailImage" :alt="`${scope.row.groupName}`" />
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--系列-->
          <el-table-column fixed align="center" header-align="center" width="120" prop="SereisName"
            :label="t('selectPage.series.TR')"></el-table-column>
          <!-- 表格头--泵型号-->
          <el-table-column align="center" header-align="center" width="240" prop="PumpName"
            :label="t('selectPage.model.TR')">
            <template #default="scope">
              <div @click="clickPumpNameCell(scope.$index, scope.row)">
                <span style="color: #6396c2; cursor: pointer">{{
                  scope.row.PumpName
                }}</span>
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--曲线图-->
          <el-table-column align="center" header-align="center" width="300" prop="WorkCurveGroup"
            :label="t('selectPage.diagram.TR')">
            <template #default="scope">
              <div style="width: 1.5rem; height: 0.9rem" class="CurveVhart" ref="CurveVhart" :data-svg="true"
                :id="scope.row.PumpID" :data-pump_id="scope.row.PumpID" :data-pump_charttype="scope.row.ChartType">
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--认证流量-->
          <el-table-column align="right" header-align="center" prop="CertifiedPointQ" width="180">
            <template #header>
              <div class="tabHead">
                <div>{{ t("selectPage.certifiedTraffic.TR") }}</div>
                <div>gpm</div>
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--认证扬程-->
          <el-table-column align="right" header-align="center" prop="CertifiedPointHrange" width="180">
            <template #header>
              <div class="tabHead">
                <div>{{ t("selectPage.certifiedHead.TR") }}</div>
                <div>psi</div>
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--认证转速-->
          <el-table-column align="right" header-align="center" prop="CertifiedPointSpeed" width="180">
            <template #header>
              <div class="tabHead">
                <div>{{ t("selectPage.certifiedSpeed.TR") }}</div>
                <div>rpm</div>
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--150%点流量-->
          <el-table-column align="right" header-align="center" width="180" prop="PercentPoint150Q">
            <template #header>
              <div class="tabHead">
                <div>{{ t("selectPage.pointFlow_150.TR") }}</div>
                <div>({{ state.SelDesignPtQUnitName }})</div>
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--150%点扬程-->
          <el-table-column align="right" header-align="center" prop="PercentPoint150H" width="180">
            <template #header>
              <div class="tabHead">
                <div>{{ t("selectPage.pointLift_150.TR") }}</div>
                <div>{{ state.SelDesignPtHUnitName }}</div>
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--150%点功率-->
          <el-table-column align="right" header-align="center" prop="PercentPoint150P" width="180">
            <template #header>
              <div class="tabHead">
                <div>{{ t("selectPage.pointPower_150.TR") }}</div>
                <div>({{ state.SelDesignPtPUnitName }})</div>
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--最大轴功率 -->
          <el-table-column width="180" align="right" header-align="center" prop="MaxPower">
            <template #header>
              <div class="tabHead">
                <div>{{ t("selectPage.maxShaftPower.TR") }}</div>
                <div>({{ state.SelDesignPtPUnitName }})</div>
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--叶轮直径 -->
          <el-table-column align="right" width="180" header-align="center" property="WorkD2">
            <template #header>
              <div class="tabHead">
                <div>{{ t("selectPage.impellerDiameter.TR") }}</div>
                <div>(mm)</div>
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--关死点扬程 -->
          <el-table-column align="right" width="180" header-align="center" property="ShutoffHead">
            <template #header>
              <div class="tabHead">
                <div>{{ t("selectPage.deadCenterLift.TR") }}</div>
                <div>({{ state.SelDesignPtHUnitName }})</div>
              </div>
            </template>
          </el-table-column>
          <!-- 表格头--备注 -->
          <el-table-column v-if="getColumnVisbileStatus('备注')" align="center" header-align="center" width="80"
            property="Note" :label="t('selectPage.note.TR')"></el-table-column>
          <!-- 表格头--泵级数 -->
          <el-table-column v-if="getColumnVisbileStatus('泵级数')" align="center" header-align="center" width="80"
            property="StageNumber" :label="t('selectPage.pumpStages.TR')"></el-table-column>
          <!-- 表格头--详情 -->
          <el-table-column :label="t('selectPage.details.TR')" align="right" header-align="center" width="80">
            <template #default="scope">
              <el-button size="small" class="btn_color" @click="clickDetailCell(scope.$index, scope.row)">{{
                t('selectPage.details.TR') }}</el-button>
            </template>
          </el-table-column>
        </el-table>
      </div>
    </div>
  </div>
</template>

<script setup name="SelPumpListFMUL">
import { onMounted, reactive, ref, nextTick } from "vue";
import { ElMessage, ElTable, ElTableColumn, ElButton } from "element-plus";
import thumbnailChart from "@/components/Chart/js/ThumbnailChart.js";
import UnitHelper from "@/utils/unit.js";
import ConstParas from "@/utils/constParas.js";
import { useRoute, useRouter } from 'vue-router';
import {GetPageList } from '@/api/select'
import noneImg from '@/assets/none_img.png';
import { useSelect } from '@/stores/select';
import { useI18n } from "vue-i18n";

const m_currentLanguage = 0
const { t } = useI18n()
const selectStore = useSelect()
const route = useRoute()
const router = useRouter()
const selpumplist = ref(null)
let state = reactive({
  detailPageQueryModel: {}, //用于传送给下一个页面的类

  SelDesignPtQ_StdUnit: 0, //标准单位的设计点(用于绘制小图)
  SelDesignPtH_StdUnit: 0, //标准单位的设计点(用于绘制小图)

  SelDesignPtQUnit: 4,
  SelDesignPtQUnitName: "gpm",

  SelDesignPtHUnit: 5,
  SelDesignPtHUnitName: "psi",

  SelDesignPtPUnit: 2,
  SelDesignPtPUnitName: "hp",

  isShowLoadingFrm: true, //等待框

  tableData: [],

  m_columnOptions: [
    { label: "实物图", unit: "", value: 1, disable: false, visible: true },
    { label: "系列", unit: "", value: 2, disable: false, visible: true },
    { label: "泵型号", unit: "", value: 3, disable: false, visible: true },
    { label: "曲线图", unit: "", value: 4, disable: true, visible: true },
    {
      label: "认证流量",
      unit: "(gpm)",
      value: 5,
      disable: false,
      visible: true,
    },
    {
      label: "认证扬程",
      unit: "(psi)",
      value: 6,
      disable: false,
      visible: true,
    },

    {
      label: "转速",
      unit: "(rpm)",
      value: 10,
      disable: false,
      visible: true,
    },
    {
      label: "叶轮直径",
      unit: "(mm)",
      value: 11,
      disable: false,
      visible: true,
    },
    {
      label: "变速率",
      unit: "(%)",
      value: 12,
      disable: false,
      visible: false,
    },
    {
      label: "切割率",
      unit: "(%)",
      value: 13,
      disable: false,
      visible: true,
    },
    { label: "销售价", value: 14, disable: false, visible: false },
    { label: "泵级数", value: 15, disable: false, visible: false },
    {
      label: "原始叶轮直径",
      unit: "(mm)",
      value: 16,
      disable: false,
      visible: true,
    },
    {
      label: "关死点扬程",
      unit: "(m)",
      value: 17,
      disable: false,
      visible: true,
    },
    {
      label: "额定转速",
      unit: "(rpm)",
      value: 19,
      disable: false,
      visible: false,
    },
    { label: "备注", value: 22, disable: true, visible: false },
    { label: "详细", value: 23, disable: true, visible: true },
    { label: "指导价", value: 24, disable: true, visible: false },
  ],
  m_dispColumnNameList: [],
  tableMaxHeight: 790,
  tableEmptyContent: "loading"
})

const initialPage = () => {
  document.title = `${t('selectPage.selResult.TR')}`
  state.tableEmptyContent = "loading"
  let prvePathDataObj = selectStore.ByParas.selectParas;
  if (prvePathDataObj == null) return;
  if (prvePathDataObj.DesignInfo == null) return;

  var selDesignPtQ = prvePathDataObj.DesignInfo.DpQ;
  var selDesignPtQUnit = prvePathDataObj.DesignInfo.UnitQ;
  var selDesignPtH = prvePathDataObj.DesignInfo.DpH;
  var selDesignPtHUnit = prvePathDataObj.DesignInfo.UnitH;

  state.SelDesignPtQUnit = selDesignPtQUnit;
  state.SelDesignPtQUnitName = UnitHelper.GetUnitNameQ(selDesignPtQUnit);
  state.SelDesignPtQ_StdUnit = UnitHelper.ConvertQ_toM3H(
    selDesignPtQUnit,
    selDesignPtQ
  );

  state.SelDesignPtHUnit = selDesignPtHUnit;
  state.SelDesignPtHUnitName = UnitHelper.GetUnitNameH(selDesignPtHUnit);
  state.SelDesignPtH_StdUnit = UnitHelper.ConvertH_toM(
    selDesignPtHUnit,
    selDesignPtH
  );

  var dispColumnNameList = [];
  state.m_columnOptions.forEach((element) => {
    if (element.visible) dispColumnNameList.push(element.label);

    if (element.label.indexOf("流量") >= 0)
      element.unit = UnitHelper.GetUnitNameQ(selDesignPtQUnit);
    if (element.label.indexOf("扬程") >= 0)
      element.unit = UnitHelper.GetUnitNameH(selDesignPtHUnit);
  });
  state.m_dispColumnNameList = dispColumnNameList;

  initData(prvePathDataObj);

  nextTick(() => {
    // console.log(document.body.clientHeight);
    // console.log(document.querySelector("#app header").clientHeight);
    let headHeight = 0;
    let footerHeight = 0;
    if (document.querySelector("#app header")) {
      headHeight = document.querySelector("#app header").clientHeight;
    }
    if (document.querySelector("#app footer")) {
      footerHeight = document.querySelector("#app footer").clientHeight;
    }
    state.tableMaxHeight =
      document.body.clientHeight - headHeight - footerHeight - 40; //
  });
  window.onresize = () => {
    let headHeight = 0;
    let footerHeight = 0;
    if (document.querySelector("#app header")) {
      headHeight = document.querySelector("#app header").clientHeight;
    }
    if (document.querySelector("#app footer")) {
      footerHeight = document.querySelector("#app footer").clientHeight;
    }
    return (() => {
      //窗口变化是设置表格最大高度，使其适应窗口变化
      state.tableMaxHeight =
        document.body.clientHeight - headHeight - footerHeight - 40;
    })();
  };
}
//初始化数据
const initData = (prvePathDataObj) => {

  //console.log(prvePathDataObj, 401);
  let postRequestData = {
    //介质
    JieZhi: {
      ID: prvePathDataObj.JieZhi.ID, //介质id
      Name: prvePathDataObj.JieZhi.Name, //介质名称
      CalcDensity: prvePathDataObj.JieZhi.CalcDensity, //密度
      CalcViscosity: prvePathDataObj.JieZhi.CalcViscosity, //粘度
    },
    //筛选信息
    FilterInfo: {
      DriveType: prvePathDataObj.FilterInfo.DriveType, //设备类型 0电机 3柴油机
      KeyWord: prvePathDataObj.FilterInfo.KeyWord, //关键字 暂时默认空
      FirePumpType: prvePathDataObj.FilterInfo.FirePumpType, //消防泵类型
      MotorPoleNum: prvePathDataObj.FilterInfo.MotorPoleNum, //电机效率等级 暂时为空
      DieselSpeed: prvePathDataObj.FilterInfo.DieselSpeed == "" ? 0 : prvePathDataObj.FilterInfo.DieselSpeed, //柴油机转速 暂时默认
      MotorFrequence: prvePathDataObj.FilterInfo.MotorFrequence, //电机赫兹
    },
    //设计点参数
    DesignInfo: {
      UnitQ: prvePathDataObj.DesignInfo.UnitQ, //流量单位
      UnitH: prvePathDataObj.DesignInfo.UnitH, //扬程单位
      DpQ: prvePathDataObj.DesignInfo.DpQ, //输入的流量的值
      DpH: prvePathDataObj.DesignInfo.DpH, //输入的扬程的值
      IsAllowCut: prvePathDataObj.DesignInfo.IsAllowCut, //是否允许切割
      IsAllowFrequence: prvePathDataObj.DesignInfo.IsAllowFrequence, //是否允许变频
      PointTolerance: prvePathDataObj.DesignInfo.PointTolerance, // 点容差范围 默认空
      IsVisCorrect: prvePathDataObj.DesignInfo.IsVisCorrect, //是否修正粘度 默认false
    },
    SeriesID: prvePathDataObj.FilterInfo.SeriesID, //泵系列ID
    CatalogID: prvePathDataObj.FilterInfo.CatalogID, //泵类型id
    SoftType: window.globalConfig.SoftType,
    SystemInfo: ""
  };

  //console.log(this.requireData,2738)

  state.detailPageQueryModel = {
    //用于点击表格详情传出的参数
    SID: "",
    PID: "",
    from: ConstParas.DetailPageFrom.ByParas,
    pur: ConstParas.DetailPagePurpose.ByParas,//XPumpByParas = 1, 
    DpQ: postRequestData.DesignInfo.DpQ,
    DpH: postRequestData.DesignInfo.DpH,
    DpQu: postRequestData.DesignInfo.UnitQ,
    DpHu: postRequestData.DesignInfo.UnitH,
    jzid: postRequestData.JieZhi.ID,
    jzmd: postRequestData.JieZhi.CalcDensity,
    jznd: postRequestData.JieZhi.CalcViscosity,
    jzmz: postRequestData.JieZhi.Name,
    isndc: prvePathDataObj.DesignInfo.IsVisCorrect,
    fpt: prvePathDataObj.FilterInfo.FirePumpType,
    drive: prvePathDataObj.FilterInfo.DriveType,
    speed: prvePathDataObj.FilterInfo.DieselSpeed
  };

    GetPageList(postRequestData).then((res) => {
      state.isShowLoadingFrm = false;
      let result = res.data;
      if (result.Code != 0) {
        if (result.Code == -3) {
          state.tableEmptyContent = `${t('ebookPage.noData.TR')}`
          if (result.Message.length > 0) state.tableEmptyContent = result.Message
          ElMessage({
            message: result.Message,
            type: "error",
            duration: 4000,
            center: true,
          });


          return;
        } else {
          ElMessage({
            message: result.Message,
            type: "error",
            duration: 4000,
            center: true,
          });
          // setTimeout(() => {
          //   that.$router.go(-1); //请求不到数据返回上一页
          // }, 3000);
        }

        return;
      }

      let itemList = result.Data.ItemList;
      //console.log(itemList, 632);

      var selDesignPtQUnit = state.SelDesignPtQUnit;
      var selDesignPtHUnit = state.SelDesignPtHUnit;
      var selDesignPtPUnit = state.SelDesignPtPUnit;

      var resultImg = {};
      var tableData = [];
      for (let i = 0; i < itemList.length; i++) {
        let tableItem = {
          CatalogID: itemList[i].CatalogID, //类型id
          ChartType: itemList[i].ChartType,
          SeriesID: itemList[i].SeriesID, //系列id
          PumpID: itemList[i].PumpID, //泵id
          ThumbnailImage: "", //实物图路径
          SereisName: itemList[i].SereisName, //系列
          PumpName: itemList[i].PumpName, //泵型号

          CertifiedPointQ: itemList[i].CertifiedPointQ,
          CertifiedPointHrange: itemList[i].CertifiedPointHrange,
          CertifiedPointSpeed: itemList[i].CertifiedPointSpeed,
          PercentPoint150Q: itemList[i].PercentPoint150Q,
          PercentPoint150H: itemList[i].PercentPoint150H,
          PercentPoint150H_per: itemList[i].PercentPoint150H_per,
          PercentPoint150E: itemList[i].PercentPoint150E,
          PercentPoint150P: itemList[i].PercentPoint150P,
          MaxPower: itemList[i].MaxPower,

          WorkSpeed: itemList[i].WorkSpeed, //转速
          WorkD2: itemList[i].WorkD2, //叶轮直径
          Note: itemList[i].Note, //备注

          QPerQBep: itemList[i].QPerQBep, //选型点和高效点的百分比
          Ratedn: itemList[i].Ratedn, //原始额定转速(默认不显示)
          OrginD2: itemList[i].OrginD2, //原始叶轮直径(默认不显示)

          CutRatio: itemList[i].CutRatio, //切割率(默认不显示)
          StageNumber: itemList[i].StageNumber, //泵级数(默认不显示)
          ShutoffHead: itemList[i].ShutoffHead, //关死点扬程(默认不显示)
          SalePrice: itemList[i].SalePrice, //销售价(折扣后)
          OriginSalePrice: itemList[i].OriginSalePrice, //指导价(原始)
          ChartObjects: itemList[i].ChartObjects, //工作曲线
        };
        let ThumbnailImage = noneImg //默认图片路径
        if (itemList[i].ThumbnailImage && itemList[i].ThumbnailImage != "") {
          ThumbnailImage = window.globalConfig.WebApiUrl.FileUrl + 'Data/' + itemList[i].ThumbnailImage
        }
        tableItem.ThumbnailImage = ThumbnailImage
        if (itemList[i].WorkPtNPSH)
          tableItem.WorkPtNPSH = itemList[i].WorkPtNPSH.toFixed(1);

        if (itemList[i].WorkPtQ)
          tableItem.WorkPtQ = UnitHelper.getDispValueQ(
            UnitHelper.ConvertQ_fromM3H(
              selDesignPtQUnit,
              itemList[i].WorkPtQ
            )
          );
        if (itemList[i].PercentPoint150Q)
          tableItem.PercentPoint150Q = UnitHelper.getDispValueQ(
            UnitHelper.ConvertQ_fromM3H(
              selDesignPtQUnit,
              itemList[i].PercentPoint150Q
            )
          );
        if (itemList[i].WorkPtH)
          tableItem.WorkPtH = UnitHelper.getDispValueH(
            UnitHelper.ConvertH_fromM(selDesignPtHUnit, itemList[i].WorkPtH)
          );
        if (itemList[i].PercentPoint150H)
          tableItem.PercentPoint150H = UnitHelper.getDispValueH(
            UnitHelper.ConvertH_fromM(
              selDesignPtHUnit,
              itemList[i].PercentPoint150H
            )
          );
        if (itemList[i].ShutoffHead)
          tableItem.ShutoffHead = UnitHelper.getDispValueH(
            UnitHelper.ConvertH_fromM(
              selDesignPtHUnit,
              itemList[i].ShutoffHead
            )
          );
        if (itemList[i].WorkPtE) tableItem.WorkPtE = itemList[i].WorkPtE;
        if (itemList[i].WorkPtP)
          tableItem.WorkPtP = UnitHelper.getDispValueP(
            UnitHelper.ConvertP_fromKW(
              selDesignPtPUnit,
              itemList[i].WorkPtP
            )
          );
        if (itemList[i].PercentPoint150P)
          tableItem.PercentPoint150P = UnitHelper.getDispValueP(
            UnitHelper.ConvertP_fromKW(
              selDesignPtPUnit,
              itemList[i].PercentPoint150P
            )
          );

        if (itemList[i].MaxPower)
          tableItem.MaxPower = UnitHelper.getDispValueP(
            UnitHelper.ConvertP_fromKW(
              selDesignPtPUnit,
              itemList[i].MaxPower
            )
          );

        tableData.push(tableItem);

        let index = itemList[i].PumpID.toString();
        resultImg[index] = itemList[i].ChartObjects;
      }
      state.tableData = tableData;
      setTimeout(() => {
        buildAllChartImg(resultImg);
      }, 500);
      // console.log(that.tableData, 525);
      //console.log(that.resultImg, 547);
    })
    .catch((err) => {
      state.isShowLoadingFrm = false;
      //console.log("请求失败:" + err);
    });
}
//返回主页
const toHomePage = () => {
  router.push({
    path: `/Index`,
  });
}
//表头显示或者隐藏
const getColumnVisbileStatus = (label) => {
  let index = state.m_dispColumnNameList.indexOf(label);
  return index == -1 ? false : true;
}
//监听当前点击的泵名称的属性
const clickPumpNameCell = (index, row) => {
  state.detailPageQueryModel.SID = row.SeriesID;
  state.detailPageQueryModel.PID = row.PumpID;
  let routerPath = `/byParas/Index`;
  let query = state.detailPageQueryModel;
  let routeData = router.resolve({ path: routerPath, query: query });
  window.open(routeData.href, "_blank");
  // window.open(routeData.href, "_blank");
}
//监听点击的当前表格行的详情
const clickDetailCell = (index, row) => {
  state.detailPageQueryModel.SID = row.SeriesID;
  state.detailPageQueryModel.PID = row.PumpID;
  let routerPath = `/byParas/Index`;
  let query = state.detailPageQueryModel;
  let routeData = router.resolve({ path: routerPath, query: query });
  window.open(routeData.href, "_blank");
  // window.open(routeData.href, "_blank");
}
//上一步
const prevPage = () => {
  router.go(-1);
}
//
const buildAllChartImg = (resultImg) => {
  document
    .querySelectorAll("div[data-svg=true]")
    .forEach(function (element) {
      let $this = element;
      let pumpId = $this.getAttribute("data-pump_id");
      let chartType = $this.getAttribute("data-pump_ChartType");
      if (pumpId in resultImg) {
        drawChart(resultImg[pumpId], pumpId, 180, 300, chartType);
      }
    });
}
//
const drawChart = (data, container, width, height, chartType) => {

  let c = new thumbnailChart.ThumbnailChart();
  var chartStyle = window.pageConfig.ChartStyle;
  c.setChartStyle(chartStyle);

  if (chartType == 4 || chartType == "4") {
    c.setContainerDivInfo(container, 220, 120);
    c.setDesignPoint(state.SelDesignPtQ_StdUnit, state.SelDesignPtH_StdUnit);
    let myChart = c.createChartZlp(data);
  } else {
    c.setContainerDivInfo(container, 220, 120);
    c.setDesignPoint(state.SelDesignPtQ_StdUnit, state.SelDesignPtH_StdUnit);
    let myChart = c.createChartLxp(data);
  }
}
// 根据prop判断是够有toolTip
const hasToolTipByProp = (prop, TipColumns) => {
  if (!TipColumns || 0 == TipColumns.length) {
    return false
  }
  for (let i = 0; i < TipColumns.length; i++) {
    let item = TipColumns[i];
    if (prop == item.Col) {
      return true;
    }
  }
  return false;
}
const getNoteByProp = (prop, TipColumns) => {
  for (let i = 0; i < TipColumns.length; i++) {
    let item = TipColumns[i];
    if (item.Col == prop) {
      return item.Note
    }
  }
  return ""
}
defineExpose({ initialPage })
</script>

<style lang="scss">
//scoped  //组件时使用
.selpumplist_fmul {
  height: 100%;
  width: 100%;

  .el-table__header {
    background-color: rgb(176, 216, 221);
  }

  .el-button {
    padding: 0.1rem 0.15rem;

    &.active {
      background-color: #6396c2;
      color: #fff;
    }
  }

  .tableBox {
    width: 100%;
  }

  .el-table .cell {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .tabHead {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .tabHead>div {
    font-size: 0.14rem;
  }

  .el-table th>.cell {
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

.pumplist_dropdown_menu {
  .el-checkbox {
    display: block;
  }

  .table-default-style {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

    i {
      position: absolute;
      left: 0.1rem;
      font-size: .18rem;
    }
  }

  .bg-red {
    color: red;
    font-weight: bold;
  }
}
</style>